Subject: Re: bug#58349: Bug: 28.1; After disabling tool bar, enabling tab bar does not show tab bar

From: Rittwik Chatterjee <[email-masked]>
Date: Sat, 8 Oct 2022 12:38:47 +0530

You are right. I have just tested in Ubuntu and tab bar is showing there.
So probably it is only happening in Manjaro. By the way I am using i3wm.

On Sat, Oct 8, 2022 at 10:55 AM Rittwik Chatterjee <[email-masked]>
wrote:

> I follow the steps from
> https://www.gnu.org/software/emacs/manual/html_node/efaq/Installing-Emacs.html
> After make completes successfully, I execute "emacs-28.2/src/emacs -Q" to
> run the newly compiled binary (I did not run make-install).
> However, the problem persists.
>
> On Fri, Oct 7, 2022 at 6:07 PM Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Rittwik Chatterjee <[email-masked]> writes:
>>
>> > 1. emacs -Q
>> > 2. M-x tool-bar-mode
>> >    This will disable tool bar
>> > 3. M-x tab-bar-mode
>> >    This will enable tab bar, but tab bar is invisible
>>
>> I'm unable to reproduce this -- when I try this in Emacs 28.1, the tab
>> bar is shown immediately.
>>
>> > In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33,
>> cairo
>> > version 1.17.6)
>> >  of 2022-04-28 built on frederik
>> > Windowing system distributor 'The X.Org Foundation', version
>> 11.0.12101004
>> > System Description: Manjaro Linux 22.0.0 Sikaris
>> > Kernel: x86_64 Linux 5.19.7-1-MANJARO
>>
>> I've got:
>>
>> In GNU Emacs 28.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.33,
>> cairo version 1.16.0)
>>  of 2022-07-04 built on joga
>> Repository revision: 5a223c7f2ef4c31abbd46367b6ea83cd19d30aa7
>> Repository branch: HEAD
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
>> System Description: Ubuntu 22.04.1 LTS
>>
>> So that's pretty similar to your version, but on Ubuntu instead of
>> Manjero.
>>
>> I do seem to vaguely recall there being some issues in this area (and
>> some fixes), though, but don't remember the details.  Would it be
>> possible for you to try the current "master" branch of Emacs to see
>> whether the problem is still present there?
>>
>>